# &kde;-gebruikershandleiding

&Lauri.Watts;&Lauri.Watts.mail;
&Raphael.Kubo.da.Costa; &Raphael.Kubo.da.Costa.mail;
2009-09-10
2.13 (&kde; 4.3.1)
K Desktop Environment
ark
1

# `ark`

&kde;'s archiveerprogramma

    ark -b -a -e -c -f  suffix -p -t  bestand -d -o  map &kde; algemene opties &Qt; algemene opties

## Beschrijving

&ark; is een programma voor het beheren van verschillende gecomprimeerde bestandsformaten binnen &kde;. Archieven kunnen worden bekeken, uitgepakt, aangemaakt en gewijzigd met &ark;. Het programma kan verschillende formaten behandelen zoals tar, gzip, bzip2, zip, rar (wanneer de juiste bibliotheken of commandoregel programma's zijn geïnstalleerd).

## Werkwijzen

&ark; kan worden gebruikt ofwel als een alleenstaand &GUI;-programma of als een commandoregelprogramma om bepaalde specifieke taken uit te voeren.

Aangeroepen zonder de -b (--batch) of -c (--add) opties, wordt &ark; gestart als een normaal &GUI;-programma.

Wanneer de -b (--batch) optie wordt gebruikt, kan &ark; worden gebruikt om de inhoud van een of meer bestanden uit te pakken direct vanaf de commandoregel, zonder het starten van zijn &GUI;.

Wanneer de -c (--add) optie wordt gebruikt, zal &ark; om bestanden vragen die zullen worden toegevoegd aan een nieuw of bestaand archief.

## Opties

`-d, --dialog`

  Een dialoog tonen om de opties voor een batch- of toevoeg-operatie te specificeren.

`-o, --destination map`

  Maak map de standaard uitpakmap. Als deze niet wordt gegeven dan wordt het huidige pad gebruikt.

### Opties voor bestanden toevoegen

`-c, --add`

  De gebruiker vragen om een bestandsnaam voor het archief en daaraan bestanden toevoegen. Afsluiten wanneer voltooid.

`-t, --add-to bestandsnaam`

  De gekozen bestanden toevoegen aan bestandsnaam. Archief aanmaken als het nog niet bestaat. Afsluiten wanneer voltooid.

`-p, --changetofirstpath`

  De huidige map veranderen naar de eerste, en alle andere relatief hier aan toevoegen.

`-f, --autofilename achtervoegsel`

  Automatisch een bestandsnaam kiezen, met het geselecteerde achtervoegsel (bijv. rar, tar.gz of andere ondersteunde types)..

### Opties voor batch-uitpakken

`-b, --batch`

  De batch-interface gebruiken in plaats van de gebruikelijke dialoog. Deze optie is impliciet wanneer meer dan één url-adres wordt gespecificeerd.

`-e, --autodestination`

  Het doelargument zal worden ingesteld op het pad van het eerste gegeven bestand.

`-a, --autosubfolder`

  De inhoud van het archief zal worden gelezen, en indien het meer dan één map bevat zal een submap met de naam van het archief worden gemaakt.

## Voorbeelden

``ark` `--batch` archief.tar.bz2`

  Zal archief.tar.bz2 uitpakken in de huidige map zonder een &GUI; te tonen.

``ark` `-b` `-d` archief.tar.bz2 archief2.zip`

  Zal eerst een extractie-opties-dialoog tonen en beide archief.tar.bz2 en archief2.zip uitpakken in de in de dialoog gekozen map.

``ark` `--add-to` mijn-archief.zip foto1.jpg tekst.txt`

  Zal mijn-archief.zip aanmaken als het niet bestaat en daarna photo1.jpg en text.txt er aan toevoegen.

## Auteurs

&ark; wordt nu onderhouden door &Harald.Hvaal; &Harald.Hvaal.mail; en &Raphael.Kubo.da.Costa; &Raphael.Kubo.da.Costa.mail;.

Deze manpagina is eerst geschreven door &Lauri.Watts; &Lauri.Watts.mail; in 2005 voor &kde; 3.4, en is later bijgewerkt in 2009 door &Raphael.Kubo.da.Costa; &Raphael.Kubo.da.Costa.mail;.